For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/ninja: Cleaned up

k0r10n
Details
Message ID
<1414214293-29591-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1414214293
DKIM signature
missing
Download raw message
Patch: +7 -6
---
 testing/ninja/APKBUILD | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/testing/ninja/APKBUILD b/testing/ninja/APKBUILD
index 18d9a69..da81225 100644
--- a/testing/ninja/APKBUILD
+++ b/testing/ninja/APKBUILD
@@ -27,19 +27,20 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	python2 ./bootstrap.py
-	asciidoc doc/manual.asciidoc
+	python2 ./bootstrap.py || return 1
+	asciidoc doc/manual.asciidoc || return 1
 }
 
 package() {
 	cd "$_builddir"
-	install -m755 -D ninja "$pkgdir/usr/bin/ninja"
+	install -m755 -D ninja "$pkgdir/usr/bin/ninja" || return 1
 	install -m644 -D doc/manual.asciidoc \
-		"$pkgdir/usr/share/doc/ninja/manual.asciidoc"
+		"$pkgdir/usr/share/doc/ninja/manual.asciidoc" || return 1
 	install -m644 -D doc/manual.html \
-		"$pkgdir/usr/share/doc/ninja/manual.html"
+		"$pkgdir/usr/share/doc/ninja/manual.html" || return 1
 	
-	install -m644 -D misc/bash-completion "$pkgdir/usr/share/bash-completion/completions/ninja"
+	install -m644 -D misc/bash-completion \
+		"$pkgdir/usr/share/bash-completion/completions/ninja" || return 1
 }
 
 md5sums="59f4f1cf5d9bb0d7877a6d5a5afd770a  ninja-1.5.1.tar.gz"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20141030151153.05e1d153@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1414214293-29591-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1414678313
DKIM signature
missing
Download raw message
On Sat, 25 Oct 2014 09:18:13 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  testing/ninja/APKBUILD | 13 +++++++------
>  1 file changed, 7 insertions(+), 6 deletions(-)

applied.

thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---